Bug 13611 - Make serial enumeration visible in user account when browsing own holds
Summary: Make serial enumeration visible in user account when browsing own holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-22 13:51 UTC by Olli-Antti Kivilahti
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13611 - Serial enumeration not visible in the opac-user.pl when browsing own holds. (2.77 KB, patch)
2015-01-22 13:53 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13611 - Serial enumeration not visible in the opac-user.pl when browsing own holds. (2.85 KB, patch)
2015-03-02 11:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13611 - Serial enumeration not visible in the opac-user.pl when browsing own holds. (2.91 KB, patch)
2015-03-04 08:31 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2015-01-22 13:51:56 UTC
Having placed holds on Serial Items with an enumchron, and browsing the opac-user.pl's "Holds"-tab, the user cannot see which numbers of magazines/serials he has on hold.

This patch appends the koha.items.enumchron after the title component in the opac-user.pl's Holds-view.
Comment 1 Olli-Antti Kivilahti 2015-01-22 13:53:23 UTC Comment hidden (obsolete)
Comment 2 Olli-Antti Kivilahti 2015-01-22 13:58:31 UTC
BTW: This is based on the following user feedback:

Hei! Tähän mennessä olen antanut täydet 10 pistettä varaus systeemillenne, mutta nyt pitää pudottaa neloseen aikakauslehtien osalta. Miksi siitä on tehty niin monipolvinen ja aikaa viepä toimenpide? Ohjeenne etusivulla ei ole kovinkummoinen, koska minunkin piti käydä kysymässä sitä kahdelta virkailijalta. Ohjeeseen voitte ottaa oppia esim Digikuva-lehden osiosta, jossa kuvankäsittelyä opetetaan porras portaalta kaapatuilla näyttökuvilla. Varausluettelossa ei myöskään enää näy lehden numeroa. Kyllä tämä nyt minulta sujuu, mutta saattaapa olla vähemmän tietokoneeen näpyttelyyn perehtyneitä, joilta tilaus ei synny, eivätkä kehtaa pyytää apua. Ei uusien tekniikoiden käyttöönotto välttämättä tarvitse merkitä askelta taaksepäin jollakin osa-alueella.
Toinen asia on se, että vieläkään ei ole mahdollisuutta saada tietoa kirjaston uutuushankinnoista, kuten edellisessä systeemissä. Onko tulossa parannusta, vai pitääkö jatkossakin selailla kirjakauppojen luetteloita josko jotain mielenkiintoista löytyisi? 
Muuten minä olen ihan mahdottoman tyytyväinen.

Happy translating!
Comment 3 Nicole C. Engard 2015-03-02 11:18:36 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2015-03-02 11:20:38 UTC
Olli,

Next time you should include a test plan with the patch - this was obvious to me so I was able to test it and sign off easily instead of waiting for a new patch.

Nicole
Comment 5 Brendan Gallagher 2015-03-04 08:31:17 UTC
Created attachment 36439 [details] [review]
Bug 13611 - Serial enumeration not visible in the opac-user.pl when browsing own holds.

Having placed holds on Serial Items with an enumchron, and browsing the
opac-user.pl's "Holds"-tab, the user cannot see which numbers of
magazines/serials he has on hold.

This patch appends the koha.items.enumchron after the title component in the
opac-user.pl's Holds-view.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-04-09 17:58:36 UTC
Patch pushed to master.

Thanks Olli!

Note: if there are warnings in the opac because of this you have to fix it, on a separate bug :-D